package com.changhu.module.management.controller;

import com.changhu.common.annotation.JsonBody;
import com.changhu.module.management.pojo.params.ManagementSecurityUnitUserSaveOrUpdateParams;
import com.changhu.module.management.service.ManagementSecurityUnitUserService;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author 20252
 * @createTime 2024/9/3 上午10:22
 * @desc ManagementSecurityUnitUserController...
 */
@JsonBody
@RequestMapping("/managementSecurityUnitUser")
public class ManagementSecurityUnitUserController {

    @Autowired
    private ManagementSecurityUnitUserService managementSecurityUnitUserService;

    @PostMapping("/saveOrUpdate")
    public void saveOrUpdate(@RequestBody @Valid ManagementSecurityUnitUserSaveOrUpdateParams saveOrUpdateParams) {
        managementSecurityUnitUserService.saveOrUpdate(saveOrUpdateParams);
    }
}
